// XDlg.cpp : implementation file
//

#include "stdafx.h"
#include "example.h"
#include "XDlg.h"
#include <dlgs.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CXDlg 

IMPLEMENT_DYNAMIC(CXDlg, CFileDialog)

CXDlg::CXDlg(BOOL bOpenFileDialog, LPCTSTR lpszDefExt, LPCTSTR lpszFileName,
		DWORD dwFlags, LPCTSTR lpszFilter, CWnd* pParentWnd) :
		CFileDialog(bOpenFileDialog, lpszDefExt, lpszFileName, dwFlags, lpszFilter, pParentWnd)
{
	SetTemplate(0, IDD_DIALOG1); 

	m_iExitType = FALSE;

	//{{AFX_DATA_INIT(CXDlg)
	m_bCheckBox1 = FALSE;
	m_bCheckBox2 = FALSE;
	m_szCurrentFile = _T("");
	//}}AFX_DATA_INIT
}

void CXDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CXDlg)
	DDX_Control(pDX, IDC_CURRENTFILE, m_CtrlCurrentFile);
	DDX_Check(pDX, IDC_CHECK1, m_bCheckBox1);
	DDX_Check(pDX, IDC_CHECK2, m_bCheckBox2);
	DDX_Text(pDX, IDC_CURRENTFILE, m_szCurrentFile);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CXDlg, CFileDialog)
	//{{AFX_MSG_MAP(CXDlg)
	ON_BN_CLICKED(IDC_CHECK1, OnCheck1)
	ON_BN_CLICKED(IDC_CHECK2, OnCheck2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CXDlg message handlers

void CXDlg::OnInitDone()
{
	CFileDialog::OnInitDone();

	CRect	r, rCurrent;

	CWnd*	pList = GetParent()->GetDlgItem(lst1);
	pList->GetWindowRect(r);
	GetParent()->ScreenToClient(r);

	CWnd*	pWnd = GetDlgItem(IDC_CURRENTFILE);
	pWnd->GetWindowRect(rCurrent);
	GetParent()->ScreenToClient(rCurrent);

	pWnd->SetWindowPos(NULL,
						r.left,
						rCurrent.top,
						r.Width(),
						rCurrent.Height(),
						SWP_NOACTIVATE | SWP_NOZORDER);

	pWnd = GetDlgItem(IDC_SUNKEN);
	pWnd->GetWindowRect(rCurrent);
	GetParent()->ScreenToClient(rCurrent);

	pWnd->SetWindowPos(NULL,
						r.left,
						rCurrent.top,
						r.Width(),
						rCurrent.Height(),
						SWP_NOACTIVATE | SWP_NOZORDER);

}

void CXDlg::OnFileNameChange(void)
{
	CString	szPath = GetPathName();

	if (szPath.GetLength() > 0)
		m_szCurrentFile = "Current File: " + szPath;
	else
		m_szCurrentFile = "Current File: (no file selected)";

	UpdateData(FALSE);
}

void CXDlg::OnCheck1() 
{
	m_bCheckBox1 = !m_bCheckBox1;
	UpdateData(FALSE);	
}

void CXDlg::OnCheck2() 
{
	m_bCheckBox2 = !m_bCheckBox2;
	UpdateData(FALSE);
}

BOOL CXDlg::OnFileNameOK(void)
{

	CWnd* pOKButton;

	pOKButton = GetParent()->GetDlgItem(IDOK);	// Win95 Style

	if (GetFocus() == pOKButton)
		{
		// Used the IDOK button

		m_iExitType = TRUE;

		return FALSE;
		}
	else
		{
		// Double clicked on a file name

		GetParent()->SendMessage(WM_CLOSE);

		m_iExitType = -1;

		return TRUE;
		}


	return FALSE;		// Everything's okay
	
}
